## mahogany-0.65.tar.gz

=== Makefile ===
###############################################################################
# Project:     M
# File name:   Makefile
# Purpose:     the top level Makefile for Mahogany
# Author:      Mahogany Dev-Team
# Modified by:
# Created:     1998
# CVS-ID:      $Id: Makefile,v 1.70 2003/07/28 21:10:47 vadz Exp $
# Copyright:   (c) 1997-2003 M-Team
# Licence:     M license
###############################################################################

include makeopts
include makeversion

M := mahogany-$(M_VERSION_MAJOR).$(M_VERSION_MINOR)

FILES := configure.in configure Makefile makeopts.in makerules
ifeq ($(USE_RESOURCES),yes)
SUB_DIRS := include extra res src
else
SUB_DIRS := include extra src
endif
ALL_DIRS := $(SUB_DIRS) doc

all semistatic quartstatic static:
	@set -e; for i in $(SUB_DIRS); do \
		if [ $$i = src ]; then \
			$(MAKE) -C src $@; \
		else \
			$(MAKE) -C $$i all; \
		fi \
	done

doc:
	set -e; for i in extra doc; do $(MAKE) -C $$i doc; done

classdoc:
	set -e; for i in doc; do $(MAKE) -C $$i doc; done

clean:
	set -e; for i in $(ALL_DIRS); do $(MAKE) -C $$i $@; done

allclean: clean
	find . -name \*.bak -exec rm -f {} \;
	find . -name \*~ -exec rm -f {} \;
	find . -name .\\\#* -exec rm -f {} \;
	find . -name \*.mo -exec rm -f {} \;
	find . -name .libs -exec rm -rf {} \;
	find . -name .xvpics -exec rm -r -f {} \;
	$(RM) -r debian/tmp *.po config.log src/M config.status
	$(RM) config.* makeopts include/config.h
	find . -type l -name .src -exec rm -f {} \;
	find . -type l -name Makefile -exec rm -f {} \;

realclean: allclean
clobber: realclean

depend:
	@echo "-------------------------------------------------------------"
	@echo "-------------------------------------------------------------"
	@echo "\"make depend\" is obsolete; there's no need to run it any more"
	@echo "-------------------------------------------------------------"
	@echo "-------------------------------------------------------------"

bak backup:
	tar cvf $(FILES) $(ALL_DIRS) | gzip -z9 > M-`date +"%y-%m-%d"`.tar.gz


# probably the most complicated target:
#
install_bin:
	@echo "Installing M in " $(BINDIR)
	@echo "        data in " $(DATADIR)
	@echo "        docs in " $(DOCDIR)
	set -e; for i in \
	   $(BINDIR) \
	   $(DATADIR) \
	   $(DATADIR)/$(CANONICAL_HOST) \
	   $(DATADIR)/$(CANONICAL_HOST)/bin \
	   $(DATADIR)/$(CANONICAL_HOST)/lib \
	   $(DOCDIR) \
	   $(DOCDIR)/Tips \
	;do \
	if test ! -d $$i; then $(INSTALL) -d -m 755 $$i; \
	fi \
	done
	set -e; for i in $(SUB_DIRS); do $(MAKE) -C $$i install; done
	set -e; for i in .src/doc/Tips/Tips*.txt; \
	do $(INSTALL_DATA) $$i $(DOCDIR)/Tips; \
	done

install_strip:
	$(MAKE) install INSTALL_OPTIONS="-s $(INSTALL_OPTIONS)"

install_bin_strip:
	$(MAKE) install_bin INSTALL_OPTIONS="-s $(INSTALL_OPTIONS)"

install_locale:
	$(MAKE) -C locale install

install_doc:
	$(MAKE) -C doc install
	set -e; for i in CHANGES COPYING CREDITS INSTALL README; \
	do $(INSTALL_DATA) .src/$$i $(DOCDIR); \
	done

install: install_bin install_locale install_doc

locales:
	$(MAKE) -C locale all

mergecat:
	$(MAKE) -C locale mergecat

# create the file list for the RPM installation: used by redhat/M.spec
install_rpm:
	@echo "Creating the list of files for RPM"
	@echo "%doc $(DOCDIR)" > filelist
	@echo "%config $(DATADIR)/M.conf" >> filelist
	@echo "$(DATADIR)/scripts" >> filelist
	@echo "$(DATADIR)/newmail.wav" >> filelist
#	@echo "$(DATADIR)/kylemail.wav" >> filelist
	@echo "$(DATADIR)/afm" >> filelist
	@echo "$(DATADIR)/$(CANONICAL_HOST)" >> filelist
	@echo "$(DATADIR)/icons" >> filelist
	@echo "$(DATADIR)/locale" >> filelist
	@echo "$(BINDIR)/M" >> filelist
	@echo "$(BINDIR)/mahogany" >> filelist
	@echo "$(DESTDIR)/man/man1/mahogany.1" >> filelist
	@echo "$(DESTDIR)/man/man1/M.1" >> filelist
	@# the second subsitution takes care of RPM_BUILD_ROOT
	@$(PERL) -i -npe 's/^/%attr(-, root, root) /; s: /.*//: /:' filelist


.PHONY: all clean bak backup config program doc install install_doc \
        locales scandoc install_locale install_rpm classdoc

=== doc/Makefile ===
# Makefile for doc directory
# $Id: Makefile,v 1.35 2003/08/04 02:13:50 vadz Exp $

FILES_TEX = HackersGuide.htex Manual.htex
SUB_DIRS  = $(FILES_TEX:.htex=)
SUBDIRS   = $(FILES_TEX:.htex=.dir)
SUB_MAPS  = $(FILES_TEX:.htex=/wxhelp.map)

include ../makeopts
include ../makeversion

# Mdocs.tar.gz file may be put into this directory if you don't want to rebuild
# the docs but want to use the prebuilt version
MDOCS_TGZ := Mdocs-$(M_VERSION_MAJOR).$(M_VERSION_MINOR).tar.gz

all:	test
	if [ ! -f $(MDOCS_TGZ) ]; then $(MAKE) makemap; fi

test:
	@if test -f Manual.tex; then \
	echo "Found a Manual.tex file. There should not be one."; \
	echo "The Manual should be exported to a file Manual.htex instead."; \
	echo "Usually all you need to do now is:"; \
	echo "mv Manual.tex Manual.htex"; \
	echo "Then run make again.";\
	exit 1; \
	fi

include ../makerules

doc:	all

%.dir:
	if [ ! -d $* ]; then mkdir $*; fi
	$(MAKE) DIR=$* -f ../.src/Makefile.sub -C $* all

ifdef HAVE_DOCTOOLS
makemap: .src/wxhelp.map0 $(SUBDIRS)
	set -e; for i in $(SUB_DIRS); \
	do sed "s,^\([ 	0-9-]*\),\1$$i/,g" $$i/wxhelp.map; \
	done | sort -n -o wxhelp.map .src/wxhelp.map0 -
else
makemap:
	@echo "  # One of the tools required to build documentation is missing."
	@echo "  # Please either install the required tool(s) and rerun configure"
	@echo "  # or download a pre-built $(MDOCS_TGZ) and place it in the"
	@echo "  # doc directory before running \"make install\"."
	@false
endif

install: test
	if [ -f $(MDOCS_TGZ) ]; \
	then gzip -dc < $(MDOCS_TGZ) | (cd $(DOCDIR) && tar xvf -); \
	else $(MAKE) install2; \
	fi

install2: makemap
	@$(RM) -r $(DOCDIR)/Pdf
	$(INSTALL) -d $(DOCDIR)/Pdf
	set -e; for i in $(SUB_DIRS); \
	do $(MAKE) DIR=$$i -f ../.src/Makefile.sub -C $$i install; \
	done
	$(MAKE) -C HtmlHlp install
	$(INSTALL_DATA) wxhelp.map $(DOCDIR)

clean:
	$(RM) *.log *.aux *.dvi *.sgml wxhelp.tab *.ps *.toc *.pdf tmp.*
	$(RM) -r $(SUB_DIRS) classes classes.tex wxhelp.map

install_classdoc: classdoc
	$(INSTALL) -d $(DOCDIR) $(DOCDIR)/ClassDoc
	for i in classes/*; do $(INSTALL_DATA) $$i $(DOCDIR)/ClassDoc; done

classdoc:
	$(MAKE) -C ../include doc
	cp ../src/icons/Micon.jpg ../extra/scandoc/images/*.gif ../extra/scandoc/images/*.jpg classes

mdocs_targz: install
	(cd $(DOCDIR) && tar cvf - *) | gzip -c9 > $(MDOCS_TGZ)

.PHONY: all doc install clean makemap install2 test classdoc install_classdoc mdocs_targz

=== extra/Makefile ===
# Makefile for extra directory
# $Id: Makefile,v 1.12 2003/07/15 00:47:32 nerijus Exp $

include ../makeopts

SUB_DIRS := src/compface
ifdef HAVE_LIBMAL
SUB_DIRS += src/libmal
endif

all: 
ifeq ($(USE_MINGW),yes)
	$(MAKE) -j1 -C src/c-client -f .src/makefile.nt.gcc
	set -e; for i in $(SUB_DIRS); do $(MAKE) -C $$i; done
else
	$(MAKE) -j1 -C src/c-client -f .src/Makefile.M
	set -e; for i in $(SUB_DIRS); do $(MAKE) -C $$i; done
endif

doc: ; @true

clean:
	$(MAKE) -C src/c-client -f .src/Makefile.M $@
	set -e; for i in $(SUB_DIRS); do $(MAKE) -C $$i $@; done
	$(RM) core

install: 
	$(MAKE) -C install install

.PHONY: all dep clean doc static allclean install

=== include/Makefile ===
# Makefile for include directory
#
# Here we produce the files MInterface.cpp and MInterface.h in the build
# directory from MInterface.mid using m4 and we also have an update target to
# copy these generated files back to the source directory from where they can
# be checked in the cvs

MID:=$(wildcard .src/*.mid)
M4DEF:=$(wildcard .src/mid2*.m4)
IDLFILES:=$(patsubst .src/%.mid,%.idl,$(MID))
INTERFACES:=$(IDLFILES:.idl=.h)
CPPFILES:=$(IDLFILES:.idl=.cpp)
SRC_INTERFACES:=$(patsubst %,.src/%,$(INTERFACES:.h=.h.m4))
SRC_CPPFILES:=$(patsubst %,.src/%,$(CPPFILES:.cpp=.cpp.m4))

include ../makeopts

ifdef M4
vpath %.mid .src

%.h: %.mid
	$(M4) -DM4FILE=.src/mid2h.m4 >$@ $<

%.cpp: %.mid
	$(M4) -DM4FILE=.src/mid2cpp.m4 >$@ $<

%.idl: %.mid
	$(M4) -DM4FILE=.src/mid2idl.m4 >$@ $<
else
vpath %.m4 .src

%.cpp: %.cpp.m4
	cp $< $@

%.h: %.h.m4
	cp $< $@

%.idl: %.idl.m4
	cp $< $@
endif

all:	interface
	@true

interface: $(IDLFILES) $(INTERFACES) $(CPPFILES)

install:
	@true

ifdef M4
# this target updates the .*.m4 files in the source tree from the regenerated
# versions
%.cpp.m4: %.cpp
	cp $< $@

%.h.m4: %.h
	cp $< $@

update: $(SRC_INTERFACES) $(SRC_CPPFILES)
endif

$(IDLFILES) $(INTERFACES) $(CPPFILES): $(MID) $(M4DEF)

msgcat:
	@touch $(BUILDDIR)/messages.po
	cd .src; exec $(XGETTEXT) -C -k_ -j -o $(BUILDDIR)/messages.po *.h gui/*.h adb/*.h

clean:
	$(RM) $(IDLFILES) $(INTERFACES) $(CPPFILES)

doc:
	if [ ! -d ../doc/classes ] ; then mkdir ../doc/classes ; fi
# scandoc isn't clever enough for Vadim's coding
	-$(DOCHTML) *.h

.PHONY: clean doc all install msgcat interface

=== locale/Makefile ===
# Makefile for locale directory
# $Id: Makefile,v 1.22 2001/09/04 20:39:40 nerijus Exp $

# Do a "make mergecat" to update all .po files with latest strings from
# program sources.  A simple "make" will only rebuild the .mo files, not
# the .po ones.

FILES_PO := $(patsubst .src/%,%,$(wildcard .src/*.po))
FILES_MO := $(FILES_PO:.po=.mo)

include ../makeopts

ifdef MSGFMT	# we have MSGFMT; we can compile translations to binary
vpath %.po .src
%.mo: %.po
	$(MSGFMT) -v -o $@ $<

all:	$(FILES_MO)

install: all
	$(INSTALL) -d $(DATADIR)/locale
	set -e; for i in $(FILES_MO); \
	do $(INSTALL) -d $(DATADIR)/locale/`basename $$i .mo`/LC_MESSAGES; \
	$(INSTALL_DATA) $$i $(DATADIR)/locale/`basename $$i .mo`/LC_MESSAGES/M.mo; \
	done

check:
	@for i in $(FILES_PO); \
	do echo $$i:; $(MSGFMT) -v -o /dev/null $$i; \
	done

# print out some information for the translator's web page
# should run this only after `make mergecat' has merged new strings
percentage:
	@for i in $(FILES_PO); \
	do	x=`$(MSGFMT) -v -o /dev/null "$$i" 2>&1 | sed -e 's/[,\.]//g' \
			-e 's,\([0-9]*\) translated messages,TR=\1,' \
			-e 's,\([0-9]*\) fuzzy translations,FZ=\1,' \
			-e 's,\([0-9]*\) untranslated messages,UT=\1,'`; \
		TR=0 FZ=0 UT=0; \
		eval $$x; \
		echo "$$i" `expr 100 "*" $$TR / "(" $$TR + $$FZ + $$UT ")"` \
			percent of `expr $$TR + $$FZ + $$UT` strings; \
		sed -n	-e '/Project-Id-Version/p' -e '/Revision-Date/p' \
			-e '/Last-Translator/p' -e '/^$$/{p;q;}' "$$i"; \
	done

else		# we don't have MSGFMT; don't try to compile translations

all install check:
	@true
endif		# MSGFMT

clean:
	$(RM) $(FILES_MO)

mergecat:
ifeq "$(TRANSLATIONS)" "yes"
# we have the programs necessary to update existing translations
# with any new strings used by the program
	$(MAKE) -C ../src msgcat 
	cat ../messages.po > messages_po
	@$(RM) tmp.po
	@echo "Merging message strings into translation files:"
	@for i in $(FILES_PO); \
	do echo -n "$$i: "; \
	   $(MSGMERGE) .src/$$i messages_po -o tmp.po && mv tmp.po $$i; \
	done
else
	@echo "you need xgettext and msgmerge to update the translations"
	@false
endif

.PHONY:	all clean doc install mergecat update check

=== res/Makefile ===
include ../makeopts

NAME            = M.res
RESCOMP         = windres
RCINPUTSWITCH   = -i
RCOUTPUTSWITCH  = -o
RCINCSWITCH     = --include-dir

all :		$(NAME)

$(NAME) :	.src/M.rc
		$(RESCOMP) $(RESFLAGS) $< -O coff -o $@

clean :
		rm -f *.o *.a *.sh *.d core a.out $(NAME)

install :

=== src/Makefile ===
# Makefile for src directory
# $Id: Makefile,v 1.93 2003/07/28 21:14:53 vadz Exp $

# Our master target.  Put it here so all the intermediate targets generated
# while reading the Names.mk files won't be considered the master one.
all:	binary

# Get all the names that need to be generated.  The Names.mk file in each
# subdirectory fills in these parameters.
#
# Objects we will build to be included in the M binary
MOBJS	:=
# Modules, compiled separately or bound directly
MSOS	:=
# Source files to be scanned for translation strings
MSGSRC	:=
# Generated objects to be removed by clean
CLEAN	:=
#
include ../makeopts $(wildcard .src/*/Names.mk) $(wildcard $(patsubst .src/%/Names.mk,%/*.d,$(wildcard .src/*/Names.mk)))

# modules: MOBJS get linked in statically, MSOS installed as shared libs
ifeq ($(USE_MODULES),static)
# static, link modules directly
MOBJS	+= $(MSOS:.so=.o)
MSOS	:= 
else
ifeq ($(USE_MODULES),dynamic)
# dynamic, nothing to do
else
# none, don't compile modules
MSOS	:=
endif
endif

# LeakTracer must be the last object on the linker line!
ifdef USE_LEAKTRACER
MOBJS += util/LeakTracer.o
endif

include ../makerules

# under Mac OS we need to build a bundle in addition to the main binary
ifdef USE_MAC
M_BUNDLE := bundle
else
M_BUNDLE :=
endif

# for cygwin/mingw we need to add resources to the main binary
# and use -mwindows in order to make GUI binary
ifdef USE_RESOURCES
M_RES := ../res/M.res -mwindows
else
M_RES :=
endif

# for cygwin with -mno-cygwin (mingw) we need to add additional libs
ifdef USE_MINGW
M_MINGW_LIBS := -lwsock32 -lwinmm
else
M_MINGW_LIBS :=
endif

# OK, we've got all the names and the rules to generate them; we can
# now actually specify the dependencies.
binary:	M $(MSOS) $(M_BUNDLE)
	@true

M:	$(MOBJS)
	$(LINK) -o M $(MOBJS) $(LDFLAGS) $(GUI_LIBS) $(LIBS) $(M_MINGW_LIBS) $(M_RES)
ifdef USE_MAC
	$(REZ) -t APPL Carbon.r -o $@
	$(SETFILE) -a C $@
endif

ifdef USE_MAC

include ../makeversion

BUNDLE := M.app/Contents

# Targets to build a Mac OS X application bundle
# (copied from wxWindows makefiles)
bundle: $(BUNDLE)/MacOS/M \
        $(BUNDLE)/Info.plist \
        $(BUNDLE)/PkgInfo \
        $(BUNDLE)/Resources/M.rsrc \
        $(BUNDLE)/Resources/M.icns

$(BUNDLE)/Info.plist: $(SOURCEDIR)/macosx/Info.plist.in
	@$(INSTALL) -d `dirname $@`
	@sed "s/VERSION/$(M_VERSION_MAJOR).$(M_VERSION_MINOR).$(M_VERSION_RELEASE)/" $< > $@

$(BUNDLE)/PkgInfo:
	@$(INSTALL) -d `dirname $@`
	@echo -n "APPL????" > $@

$(BUNDLE)/MacOS/M: M
	@$(INSTALL) -d `dirname $@`
	@cp $< $@

$(BUNDLE)/Resources/M.rsrc: $(SOURCEDIR)/macosx/M.rsrc
	@$(INSTALL) -d `dirname $@`
	@cp $< $@

$(BUNDLE)/Resources/M.icns: $(SOURCEDIR)/macosx/Info.plist.in
	@$(INSTALL) -d `dirname $@`
	@cp $< $@

endif # USE_MAC

Mdll:	libM.so
	$(LINK) -o M $(LDFLAGS) libM.so

libM.so: $(MOBJS)
	$(CXX) -o libM.so -shared -Xlinker -z -Xlinker nodefs $(MOBJS) $(LDFLAGS) $(NONPLIBS) $(LDFLAGS) $(GUI_LIBS) $(LIBS)

# build the binary which is statically linked to wxGTK, dynamically to
# everything else
quartstatic: $(MOBJS) $(MSOS) $(M_BUNDLE)
	$(LINK) -o M $(MOBJS) $(LDFLAGS) $(GUI_LIBS_QUARTSTATIC) $(LIBS)

# build the binary which is statically linked to wxGTK and GTK+, dynamically
# to everything else
semistatic: $(MOBJS) $(MSOS) $(M_BUNDLE)
	$(LINK) -o M $(MOBJS) $(LDFLAGS) $(GUI_LIBS_SEMISTATIC) $(LIBS)

# build a (completely) statically linked binary
static: $(MOBJS) $(M_BUNDLE)
	$(LINK) -o M $(MOBJS) $(LDFLAGS) -static $(GUI_LIBS_STATIC) $(LIBS)

doc:
	@true

clean:
	$(RM) core libM.so M $(CLEAN)
	$(RM) $(MOBJS) $(MSOS)
	$(RM) $(MOBJS:.o=.d) $(MSOS:.so=.d)

install:
	$(INSTALL_PROGRAM) $(INSTALL_OPTIONS) M $(DATADIR)/$(CANONICAL_HOST)/bin
	if test -f libM.so; \
	then $(INSTALL_PROGRAM) libM.so $(DATADIR)/$(CANONICAL_HOST)/lib; \
	fi
	$(RM) -f $(BINDIR)/M $(DATADIR)/bin/M
	ln -f -s ../share/Mahogany/$(CANONICAL_HOST)/bin/M $(BINDIR)/M
	$(RM) $(BINDIR)/mahogany
	ln -f -s ../share/Mahogany/$(CANONICAL_HOST)/bin/M $(BINDIR)/mahogany
ifeq ($(USE_MODULES),dynamic)
	$(INSTALL) -d $(MODULEDIR)
	set -e $(MSOS); while test $$# -ge 1; \
	do $(INSTALL_PROGRAM) $$1 $(MODULEDIR); shift; done
endif
	$(INSTALL) -d $(DATADIR)/icons
	for i in .src/icons/*.xpm; \
	do $(INSTALL_DATA) $$i $(DATADIR)/icons; \
	done
ifdef USE_PYTHON
	$(INSTALL) -d $(DATADIR)/scripts
	for i in Python/*.py Python/.src/Scripts/*.py; \
		do $(INSTALL_DATA) $$i $(DATADIR)/scripts; \
	done
endif

# invoked from locale to build message catalog
msgcat:
ifeq "$(TRANSLATIONS)" "yes"
	cd .src; exec $(XGETTEXT) -C -k_ -o $(BUILDDIR)/messages.po $(MSGSRC)
# Yes, there really are some translatable strings in ../include
	$(MAKE) -C ../include msgcat
else
	false translation tools are not installed
endif

.PHONY:	all clean doc quartstatic semistatic static install msgcat

=== doc/HtmlHlp/Makefile ===
# Makefile for doc/HtmlHlp
# $Id: Makefile,v 1.6 2003/08/04 23:04:21 nerijus Exp $

include ../../makeopts

htmlhlp: .src/Manual.hhc

.src/Manual.tex: .src/../Manual.htex
	../../.src/extra/scripts/striphelpids $< > $@

# latex2html options are needed to produce a single HTML file without
# any navigation buttons which we don't need in CHM files anyhow
.src/Manual.html: .src/Manual.tex
	@cd .src; \
	if [ ! -d Manual ]; then mkdir Manual; fi; \
	$(LATEX2HTML) -local_icons -split 0 -info 0 -verbosity 0 -no_navigation \
            -dir Manual Manual.tex; \
	mv Manual/Manual.html .

.src/Manual.hhc: .src/Manual.html
	cd .src && $(PERL) -w makehhc.pl

install: htmlhlp
	$(INSTALL_DATA) .src/Manual.hhc .src/Manual.hhp .src/Manual.html $(DOCDIR)
	@# this file must exist or HTML help controller complains
	touch $(DOCDIR)/Manual.hhk

clean:
	rm -rf .src/Manual .src/Manual.tex .src/Manual.html

.PHONY: htmlhlp clean

=== doc/doxygen/Makefile ===
# Makefile for doc/doxygen directory
#
# This makefile is used from the source directory (i.e. it can be used without
# running configure) to create the documentation for Mahogany API using doxygen
#
# Author:  Thomas Finneid
# Created: 21.12.01
# Version: $Id: Makefile,v 1.2 2001/12/21 12:16:58 vadz Exp $

# allow using it without running configure
#include makeopts
SOURCEDIR := "../.."

all: dox.complete

# document only non-private non-static members, omit some less useful sections
dox.simple:
	$(MAKE) dox.phony TYPE=simple

# document everything
dox.complete:
	$(MAKE) dox.phony TYPE=complete

# document everything and generate the class diagram (requires dot tool)
dox.diagram:
	$(MAKE) dox.phony TYPE=diagram

dox.phony:
	cd $(SOURCEDIR); \
	doxygen doc/doxygen/doxyfile.$(TYPE); \
	echo ""; \
	echo "The class documentation is available in M-API/html.$(TYPE)/index.html"; \
	echo ""; \

=== extra/install/Makefile ===
# Makefile for extra/install directory
# install the contents of all subdirs under this one

SUB_DIRS = scripts

include ../../makeopts

install:
	set -e; for i in $(SUB_DIRS); \
	do $(INSTALL) -d $(DATADIR)/$$i; \
	   $(MAKE) -C $$i; \
	done
	$(INSTALL) -d $(DATADIR)/afm
	set -e; for i in .src/afm/*.afm; \
	do $(INSTALL_DATA) $$i $(DATADIR)/afm; \
	done
	$(INSTALL_DATA) .src/newmail.wav $(DATADIR)
	$(INSTALL_DATA) .src/kylemail.wav $(DATADIR)
#	$(INSTALL_DATA) .src/mailcap $(DATADIR)
	$(INSTALL_DATA) .src/M.conf $(DATADIR)
	if test ! -d $(DESTDIR)/man/man1; then $(INSTALL) -d $(DESTDIR)/man/man1; fi
	$(INSTALL_DATA) .src/mahogany.1 $(DESTDIR)/man/man1
	$(INSTALL_DATA) .src/mahogany.1 $(DESTDIR)/man/man1/M.1

.PHONY: install

=== extra/install/scripts/Makefile ===
# Makefile for extra/install/scripts directory

include ../../../makeopts

install:
	#$(INSTALL_PROGRAM) .src/.Mnetscape $(BINDIR)

.PHONY: install

=== extra/src/c-client/Makefile ===
# Program:	C client makefile
#
# Author:	Mark Crispin
#		Networks and Distributed Computing
#		Computing & Communications
#		University of Washington
#		Administration Building, AG-44
#		Seattle, WA  98195
#		Internet: MRC@CAC.Washington.EDU
#
# Date:		11 May 1989
# Last Edited:	14 October 2002
#
# The IMAP toolkit provided in this Distribution is
# Copyright 2002 University of Washington.
#
# The full text of our legal notices is contained in the file called
# CPYRIGHT, included with this Distribution.


# Command line build parameters

EXTRAAUTHENTICATORS=
EXTRADRIVERS=mbox
PASSWDTYPE=std
SSLTYPE=nopwd


# Extended flags needed for SSL.  You may need to modify.

SSLDIR=/usr/local/ssl
SSLCERTS=$(SSLDIR)/certs
SSLINCLUDE=$(SSLDIR)/include
SSLLIB=$(SSLDIR)/lib

SSLCRYPTO=-lcrypto

# Older versions of MIT Kerberos also have a libcrypto.  If so, you may need
# to use this instead
#SSLCRYPTO=$(SSLLIB)/libcrypto.a

# RSA Security Inc. released the RSA public key encryption algorithm into
# the public domain on September 6, 2000.  There is no longer any need to
# use RSAREF.
SSLRSA= # -lRSAglue -lrsaref

SSLCFLAGS= -I$(SSLINCLUDE) -I$(SSLINCLUDE)/openssl\
 -DSSL_CERT_DIRECTORY=\"$(SSLCERTS)\"
SSLLDFLAGS= -L$(SSLLIB) -lssl $(SSLCRYPTO) $(SSLRSA)


# Extended flags needed for non-standard passwd types.  You may need to modify.

AFSDIR=/usr/afsws
AFSCFLAGS=-Dexit=afs_exit -D_exit=_afs_exit -I$(AFSDIR)/include
AFSLIB=$(AFSDIR)/lib
AFSLDFLAGS=-L$(AFSLIB)/afs -L$(AFSLIB) -L$(AFSDIR)/domestic/lib\
 -lkauth -lprot -lubik -lauth -lrxkad -lrx -llwp -ldes -lcom_err\
 $(AFSLIB)/afs/util.a -laudit -lsys
# AFSLDFLAGS may also need -L/usr/ucblib -lucb
DCECFLAGS= -DDCE_MINIMAL -DPASSWD_OVERRIDE=\"/opt/pop3/passwd/passwd\"
DCELDFLAGS= -ldce
PAMLDFLAGS= -lpam -ldl


# Build parameters normally set by the individual port

CHECKPW=std
LOGINPW=std
SIGTYPE=bsd
CRXTYPE=std
ACTIVEFILE=/usr/lib/news/active
SPOOLDIR=/usr/spool
MAILSPOOL=$(SPOOLDIR)/mail
NEWSSPOOL=$(SPOOLDIR)/news
RSHPATH=/usr/ucb/rsh
LOCKPGM=/etc/mlock


# Default formats for creating new mailboxes and for empty mailboxes in the
# default namespace; must be set to the associated driver's prototype.
#
# The CREATEPROTO is the default format for new mailbox creation.
# The EMPTYPROTO is the default format for handling zero-byte files.
#
# Normally, this is set by the individual port.
#
# NOTE: namespace formats (e.g. mh and news) can not be set as a default format
# since they do not exist in the default namespace.  Also, it is meaningless to
# set certain other formats (e.g. mbx and mx) as the EMPTYPROTO since these
# formats can never be empty files.

CREATEPROTO=unixproto
EMPTYPROTO=unixproto


# Commands possibly overriden by the individual port

ARRC=ar rc
#CC=cc
LN=ln -s
RANLIB=ranlib


# Standard distribution build parameters

DEFAULTAUTHENTICATORS=md5 pla log
DEFAULTDRIVERS=imap nntp pop3 mh mx mbx tenex mtx mmdf unix news phile


# Normally no need to change any of these

ARCHIVE=c-client.a
BINARIES=osdep.o mail.o misc.o newsrc.o smanager.o utf8.o siglocal.o \
 dummy.o pseudo.o netmsg.o flstring.o fdstring.o \
 rfc822.o nntp.o smtp.o imap4r1.o pop3.o \
 unix.o mbox.o mbx.o mmdf.o tenex.o mtx.o news.o phile.o mh.o mx.o
CFLAGS=$(BASECFLAGS) $(EXTRACFLAGS)

CAT=cat
MAKE=make
MV=mv
RM=rm -rf
SH=sh


# Primary build command

BUILDOPTIONS= EXTRACFLAGS='$(EXTRACFLAGS)'\
 EXTRALDFLAGS='$(EXTRALDFLAGS)'\
 EXTRADRIVERS='$(EXTRADRIVERS)' EXTRAAUTHENTICATORS='$(EXTRAAUTHENTICATORS)'\
 PASSWDTYPE=$(PASSWDTYPE) SSLTYPE=$(SSLTYPE)
BUILD=$(MAKE) build $(BUILDOPTIONS)

# Here if no make argument established

missing: osdep.h
	$(MAKE) all CC=`$(CAT) CCTYPE` CFLAGS="`$(CAT) CFLAGS`" `$(CAT) SPECIALS`

osdep.h:
	@echo You must specify what type of system
	@false


# Current ports

a32:	# AIX 3.2 for RS/6000
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=psx CRXTYPE=nfs \
	 SPOOLDIR=/var/spool \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-g -Dunix=1 -D_BSD" \
	 BASELDFLAGS="-lbsd"

a41:	# AIX 4.1 for RS/6000
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=psx CHECKPW=a41 CRXTYPE=nfs \
	 SPOOLDIR=/var/spool \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-g -Dunix=1 -D_BSD" \
	 BASELDFLAGS="-ls"

aix:	# AIX/370
	@echo You are building for AIX on an S/370 class machine
	@echo If you want AIX on an RS/6000 you need to use a32 or a41 instead!
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 BASECFLAGS="-g" \
	 BASELDFLAGS="-lbsd"

aos:	# AOS for RT
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 BASECFLAGS="-g -Dconst="

art:	# AIX 2.2.1 for RT
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=sv4 \
	 SPOOLDIR=/var \
	 ACTIVEFILE=/usr/local/news/control/active \
	 RSHPATH=/bin/rsh \
	 BASECFLAGS="-g -Dconst= -Dvoid=char" \
	 RANLIB=true 

asv:	# Altos SVR4
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=sv4 LOGINPW=old \
	 ACTIVEFILE=/usr/spool/news/active \
	 RSHPATH=/usr/bin/rcmd \
	 BASECFLAGS="-Dconst= -DSIGSTOP=SIGKILL" \
	 BASELDFLAGS="-lsocket -lrpc -lgen -lcrypt -lxenix" \
	 RANLIB=true

aux:	# A/UX
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 MAILSPOOL=/usr/mail \
	 BASECFLAGS="-g -B/usr/lib/big/ -Dvoid=char -Dconst=" \
	 RANLIB=true ARRC="ar -rc"

bs3:	# BSD/i386 3.0 or higher
	$(BUILD) `$(CAT) SPECIALS` OS=bsi \
	 CHECKPW=bsi LOGINPW=bsi CRXTYPE=nfs \
	 SPOOLDIR=/var NEWSSPOOL=/var/news/spool \
	 ACTIVEFILE=/var/news/etc/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-g -O2 -pipe" CC=shlicc

bsd:	# BSD UNIX
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 BASECFLAGS="-g -Dconst="

bsf:	# FreeBSD
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=psx CRXTYPE=nfs \
	 SPOOLDIR=/var \
	 ACTIVEFILE=/usr/local/news/lib/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-g -O -pipe" \
	 BASELDFLAGS="-lcrypt"

bsi:	# BSD/i386
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 SPOOLDIR=/var NEWSSPOOL=/var/news/spool \
	 ACTIVEFILE=/var/news/etc/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-g -O2 -pipe"

bso:	# OpenBSD
	$(BUILD) `$(CAT) SPECIALS` OS=bsi \
	 SIGTYPE=psx CRXTYPE=nfs \
	 SPOOLDIR=/var \
	 ACTIVEFILE=/usr/local/news/lib/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-O2 -pipe"

cvx:	# Convex
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 BASECFLAGS="-O -ext -Dconst="

cyg:	# Cygwin
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	SIGTYPE=psx CHECKPW=cyg LOGINPW=cyg CRXTYPE=std \
	SPOOLDIR=/var \
	ACTIVEFILE=/usr/local/news/lib/active \
	RSHPATH=/usr/bin/rsh \
	BASECFLAGS="-g -O" \
	BASELDFLAGS="-lcrypt"

d-g:	# Data General DG/UX
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=sv4 CRXTYPE=nfs \
	 SPOOLDIR=/var/spool MAILSPOOL=/var/mail \
	 ACTIVEFILE=/local/news/active \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="-g -Dconst=" \
	 BASELDFLAGS="-lnsl -lsocket" \
	 RANLIB=true

d54:	# Data General DG/UX 5.4
	$(BUILD) `$(CAT) SPECIALS` OS=d-g \
	 SIGTYPE=sv4 CRXTYPE=nfs \
	 SPOOLDIR=/var/spool MAILSPOOL=/var/mail \
	 ACTIVEFILE=/local/news/active \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="-g -Dconst=" \
	 BASELDFLAGS="-lnsl -lsocket" \
	 RANLIB=true

dpx:	# Bull DPX/2
	$(BUILD) `$(CAT) SPECIALS` OS=sv4 \
	 SIGTYPE=sv4 CHECKPW=sv4 LOGINPW=sv4 \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="-Dconst= -DSYSTEM5 -DSHORT_IDENT" \
	 BASELDFLAGS="-linet" \
	 RANLIB=true LN=ln

drs:	# ICL DRS/NX
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=sv4 CHECKPW=sv4 LOGINPW=sv4 CRXTYPE=nfs \
	 SPOOLDIR=/var/spool MAILSPOOL=/var/mail \
	 ACTIVEFILE=/var/lib/news/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-O" \
	 BASELDFLAGS="-lsocket -lgen" \
	 RANLIB=true

do4:	# Apollo Domain/OS sr10.4
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 BASECFLAGS="-A systype,bsd4.3 -D_APOLLO_SOURCE" \
	 RANLIB=true

dyn:	# Dynix
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 BASECFLAGS="-g -Dconst="

epx:	# EP/IX
	$(BUILD) `$(CAT) SPECIALS` OS=sv4 \
	 SIGTYPE=sv4 CHECKPW=sv4 LOGINPW=sv4 \
	 SPOOLDIR=/var/spool MAILSPOOL=/var/mail \
	 ACTIVEFILE=/usr/share/news/active \
	 RSHPATH=/usr/net/rsh \
	 BASECFLAGS="-g -systype svr4" \
	 BASELDFLAGS="-lsocket -lnsl -lgen" \
	 RANLIB=true

gas:	# GCC Altos SVR4
	$(BUILD) `$(CAT) SPECIALS` OS=asv \
	 SIGTYPE=sv4 LOGINPW=old \
	 ACTIVEFILE=/usr/spool/news/active \
	 RSHPATH=/usr/bin/rcmd \
	 BASECFLAGS="-g -O -DALTOS_SYSTEM_V -DSIGSTOP=SIGKILL" \
	 BASELDFLAGS="-lsocket -lrpc -lgen -lcrypt -lxenix" \
	 RANLIB=true CC=gcc

gh9:	# GCC HP-UX 9.x
	$(BUILD) `$(CAT) SPECIALS` OS=hpp \
	 SIGTYPE=psx CRXTYPE=nfs \
	 MAILSPOOL=/usr/mail \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="-g -O2" \
	 RANLIB=true CC=gcc

ghp:	# GCC HP-UX 10.x
	$(BUILD) `$(CAT) SPECIALS` OS=hpp \
	 SIGTYPE=psx CRXTYPE=nfs \
	 SPOOLDIR=/var \
	 ACTIVEFILE=/var/news/active \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="-g -O2" \
	 RANLIB=true CC=gcc

ghs:	# GCC HP-UX with Trusted Computer Base
	$(BUILD) `$(CAT) SPECIALS` OS=shp \
	 SIGTYPE=psx CHECKPW=sec CRXTYPE=nfs \
	 SPOOLDIR=/var \
	 ACTIVEFILE=/var/news/active \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="-g -O2" \
	 BASELDFLAGS="-lnet -lV3 -lsec" \
	 RANLIB=true CC=gcc

go5:	# GCC 2.7.1 (95q4) SCO Open Server 5.0.x
	$(BUILD) `$(CAT) SPECIALS` OS=sc5 \
	 SIGTYPE=psx CHECKPW=sec LOGINPW=sec \
	 CREATEPROTO=mmdfproto EMPTYPROTO=mmdfproto \
	 SPOOLDIR=/var/spool \
	 ACTIVEFILE=/var/lib/news/active \
	 RSHPATH=/usr/bin/rcmd \
	 BASECFLAGS="-O3 -I/usr/include -L/lib" \
	 BASELDFLAGS="-lsocket -lprot -lx -ltinfo -lm" \
	 RANLIB=true CC=gcc

gsc:	# Santa Cruz Operation
	$(BUILD) `$(CAT) SPECIALS` OS=sco \
	 SIGTYPE=sv4 CHECKPW=sec LOGINPW=sec \
	 CREATEPROTO=mmdfproto EMPTYPROTO=mmdfproto \
	 RSHPATH=/usr/bin/rcmd \
	 BASECFLAGS="-O3" \
	 BASELDFLAGS="-lsocket -lprot -lcrypt_i -lx -los" \
	 RANLIB=true LN=ln CC=gcc

gsg:	# GCC Silicon Graphics
	$(BUILD) `$(CAT) SPECIALS` OS=sgi \
	 SIGTYPE=sv4 CRXTYPE=nfs \
	 MAILSPOOL=/usr/mail \
	 RSHPATH=/usr/bsd/rsh \
	 BASECFLAGS="-g -O2" \
	 RANLIB=true CC=gcc

gso:	# GCC Solaris
	$(BUILD) `$(CAT) SPECIALS` OS=sol \
	 SIGTYPE=psx CHECKPW=psx CRXTYPE=nfs \
	 SPOOLDIR=/var/spool MAILSPOOL=/var/mail \
	 ACTIVEFILE=/usr/share/news/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-g -O2" \
	 BASELDFLAGS="-lsocket -lnsl -lgen" \
	 RANLIB=true CC=gcc

gsu:	# GCC SUN-OS
	$(BUILD) `$(CAT) SPECIALS` OS=sun \
	 CRXTYPE=nfs \
	 BASECFLAGS="-g -O2" \
	 BASELDFLAGS="-ldl" \
	 CC=gcc

gul:	# GCC Ultrix
	$(BUILD) `$(CAT) SPECIALS` OS=ult \
	 SIGTYPE=psx CHECKPW=ult CRXTYPE=nfs \
	 BASECFLAGS="-g -O" \
	 BASELDFLAGS="-lauth -lc" \
	 CC=gcc

hpp:	# HP-UX 9.x
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=psx CRXTYPE=nfs \
	 MAILSPOOL=/usr/mail \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="-g -Aa -D_HPUX_SOURCE" \
	 BASELDFLAGS="-lnet -lV3" \
	 RANLIB=true

hpx:	# HP-UX 10.x
	$(BUILD) `$(CAT) SPECIALS` OS=hpp \
	 SIGTYPE=psx CRXTYPE=nfs \
	 SPOOLDIR=/var \
	 ACTIVEFILE=/var/news/active \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="-g -Ae" \
	 BASELDFLAGS="-lnet -lV3" \
	 RANLIB=true

isc:	# Interactive
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=sv4 CHECKPW=sv4 LOGINPW=sv4 \
	 SPOOLDIR=/var/spool MAILSPOOL=/var/mail \
	 ACTIVEFILE=/var/spool/news/active \
	 BASECFLAGS="-Xp -D_SYSV3" \
	 BASELDFLAGS="-linet -lnsl_s -lgen -lx -lsec -liberty" \
	 RANLIB=true

lnp:	# Linux Pluggable Authentication modules
	$(BUILD) `$(CAT) SPECIALS` OS=lnx \
	 SIGTYPE=psx CHECKPW=pam CRXTYPE=nfs \
	 SPOOLDIR=/var/spool \
	 ACTIVEFILE=/var/lib/news/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-g -fno-omit-frame-pointer -O6" \
	 BASELDFLAGS="-lpam -ldl"

lnx:	# Linux non-shadow passwords
	@echo You are building for traditional Linux *without* shadow
	@echo passwords and with the crypt function in the C library.
	@echo If your system has shadow passwords, or if crypt is not
	@echo in the C library, you must use slx, sl4, or sl5 instead!
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=psx CRXTYPE=nfs \
	 SPOOLDIR=/var/spool \
	 ACTIVEFILE=/var/lib/news/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-g -O"

lyn:	# LynxOS
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 RSHPATH=/bin/rsh \
	 BASECFLAGS="-g -O -pipe" \

=== debian/changelog ===
mahogany (0.60) stable; urgency=medium

  * More filter work, import/export of other mailboxes and addressbooks,
  * vCard support, more support for Windows, Calendar/scheduling module
  * openSSL support
  * Major changes: Filters added, PalmOS module added,
  *   subscription management for several remote folders,
  *   Wizards and HTML based help system.
  * Bug fixes, minor improvements, Windows release. 
  * Bug fix release, improved message editor. 
  * Initial Release.

 -- Karsten Ballueder <mahogany-developers@lists.sourceforge.net>  Sun, 25 Apr 1999 20:54:01 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "mahogany-developers@lists.sourceforge.net"
End:

=== debian/control ===
Source: mahogany
Section: x11
Priority: optional
Maintainer: Karsten Ballueder <ballueder@gmx.net>
Standards-Version: 2.5.0

Package: mahogany
Architecture: any
Depends: ${shlibs:Depends}
Suggests: libssl09, python
Description: Mahogany, powerful and user-friendly mail/news client for X11.
 Mahogany is a mail and news client for X11, using the gtk toolkit. It
 supports a wide range of standards and protocols, including IMAP and POP3.
 The aim of Mahogany is to be both as user friendly as possible and at the
 same time to provide the functionality and efficiency required from a daily
 used tool. Mahogany is a cross-platform project, allowing you to use the
 same program on MS Windows, too.
 Thanks to its built-in Python interpreter it can be extended by the user.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

PATH:=$(PATH):/usr/local/bin

package=mahogany

build:
	$(checkdir)
	autoconf
# debian 2.1 has no wxGTK shared lib:
	if test "`cat /etc/debian_version`" = "2.1" ; \
	then \
		(./configure --prefix=/usr --with-modules=static) \
	else \
		(./configure --prefix=/usr) \
	fi
	make depend || true
	make -C include 
	make doc
	echo "############### DEBIAN COMPILATION STARTED #################"
	# If we are on Debian Slink, we need to build a semistatic binary:
	if test "`cat /etc/debian_version`" = "2.1" ; \
	then \
		( $(MAKE) all || true; \
		cd src && make semistatic ) \
	else \
		( $(MAKE) all ; \
		cd src && make ) \
	fi
	echo "############### DEBIAN COMPILATION ENDED #################"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) allclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp/usr
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README TODO 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
sunsite.unc.edu	/pub/Linux/Incomingu	mahogany-*.tar.gz	debian	uupdate
